Bug 120796 - Not enough information on the solve dependency page
Not enough information on the solve dependency page
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
: FutureFeature
Depends On:
Blocks: 124619
  Show dependency treegraph
 
Reported: 2004-04-13 19:26 EDT by Matt Lavin
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 09:33:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Lavin 2004-04-13 19:26:39 EDT
When the list of missing required dependencies is presented to the
user it is not possible to understand why each is required. Showing
the user which package is requiring the extra packages then it would
allow people to avoid updating packages that have unacceptable
requirements.

For example, I selected the following packages for installation

system-config-securitylevel      1.3.10-3
system-config-securitylevel-ui   1.3.10-3
system-config-soundcard          1.2.7-4
system-config-users              1.2.11-5

and I was presented with a page that told me I need to also install
the following packages

policy-sources   1.11.1-2          
checkpolicy      1.10-1
kernel           2.6.5-1.319
policy           1.11.1-2

and I know that I don't want to install the newer kernel because I've
tried that version before and it didn't work well for me.  To figure
out which of the 4 packages I shouldn't update to stop the kernel
package from being required will take some trial and error.  

It seems that the information about why each package is required is
probably available in the tool, and it would great if it was presented
to the user.
Comment 1 don 2006-02-12 22:16:38 EST
This would be a big improvement to the up2date. Lots of updates all the time add
new packages as dependancies, for pretty lame reasons. The result is that most
users just add more and more bloat to their system. The only alternative is go
through packages a few at a time trying to figure out what triggered the new
package, or install a package only to erase it once rpm will tell depends.

Reporter: Please change to be bug against fc4 to raise visibility. 
Comment 2 John Thacker 2006-10-29 09:33:26 EST
Note that FC1 and FC2 are no longer supported even by Fedora Legacy, and FC3 and
FC4 are supported by Fedora Legacy only for security issues.  Please retest this
bug against a still supported version and retest.  If this still occurs on FC3
or FC4 and is a security issue, please reopen the bug and assign it to that
version and Fedora Legacy.  If it occurs on RHEL, please change to that product
and the appropriate version.

Note that up2date has been replaced by pirut/pup for FC5 and FC6, the only
fully-supported versions of Fedora Core.  Please test pirut for software updates
and file bugs as appropriate.

Note You need to log in before you can comment on or make changes to this bug.